Subject: Re: [bug#74268] [PATCH 1/1] etc: Add teams-packages-stats script.

From: Troy Figiel <[email-masked]>
Date: Sun, 10 Nov 2024 17:44:39 +0100

Hi Oleg,

I do not have too much to add, but just wanted to mention this solves a
pain point I had a while back.  I thought it would be nice to have a
tool that in some sense does the opposite of `guix refresh -l' and
`guix refresh -T', showing me all packages with a given number of
dependencies.  When you are new to updating packages in Guix, it can be
quite difficult to find some simple candidates.

Two other points that come to mind regarding your script:
- jsonl output probably gives you more flexibility in the future.
- I could imagine you might want to filter for module paths.

As a sidenote, when I run your script, the final 0.0 is often
misaligned.  It seems to have extra spaces.

In any case, I think it is a nice tool to have.

Best wishes,

Troy